import Callable from './Callable';
import Container from './Container';
import ReflectionMethod from '../Reflection/ReflectionMethod';
import ReflectionParameter from '../Reflection/ReflectionParameter';
declare class BoundMethod {
    static call<T>(container: Container, callback: Callable<T>, parameters?: any[] | object, defaultMethod?: string): any;
    protected static _callClass<T>(container: Container, target: Callable<T>, parameters?: any[] | object, defaultMethod?: string): any;
    protected static _callBoundMethod<T>(container: Container, callback: Callable<T>, dflt: Function): unknown;
    protected static _normalizeMethod<T>(callback: Callable<T>): string;
    protected static _getMethodDependencies<T>(container: Container, callback: Callable<T>, parameters?: any[] | object): any[];
    protected static _addDependencyForCallParameter(container: Container, parameter: ReflectionParameter, parameters: object, dependencies: object): void;
    protected static _getCallReflector<T>(callback: Callable<T>): ReflectionMethod;
    private static _getClassDefinition;
    private static _isCallable;
}
export default BoundMethod;
