import Container from './Container';
import ContextualBinderContract from '../Contracts/Container/ContextualBinder';
import { Identifier } from '../types/container';
declare class ContextualBinder implements ContextualBinderContract {
    protected _container: Container;
    protected _contextual: any;
    constructor(container: Container);
    addContextualBinding<T>(concrete: any, abstract: Identifier<T>, implementation: any): void;
    getContextualConcrete<T>(abstract: Identifier<T>): any;
    protected _findInContextualBindings<T>(abstract: Identifier<T>): any;
}
export default ContextualBinder;
