import Container from './Container';
import MethodBinderContract from '../Contracts/Container/MethodBinder';
import { Instantiable } from '../types/container';
declare class MethodBinder implements MethodBinderContract {
    protected _methodBindings: Map<string, Function>;
    protected _container: Container;
    constructor(container: Container);
    hasMethodBinding(method: string): boolean;
    bindMethod<T>(method: [Instantiable<T>, string] | string, callback: Function): void;
    callMethodBinding(method: string, instance: any): any;
    protected _parseBindMethod<T>(method: [Instantiable<T>, string] | string): string;
}
export default MethodBinder;
