import Container from './Container';
import TaggerContract from '../Contracts/Container/Tagger';
import { Identifier } from '../types/container';
declare class Tagger implements TaggerContract {
    protected _container: Container;
    protected _tags: Map<string, any[]>;
    constructor(container: Container);
    tag<T>(abstracts: Identifier<T>[] | Identifier<T>, tags: string[]): void;
    tagged(tag: string): any[] | IterableIterator<any>;
}
export default Tagger;
