import { Instantiable, Instance } from '../../types/container';
interface ICallable<T> {
    target: Instantiable<T> | Instance<T>;
    method: string | undefined;
    isStatic: boolean;
    asArray(): [Instantiable<T> | Instance<T>, string | undefined, boolean];
    call(args: any[]): any;
}
export default ICallable;
