import ParameterDescriptor from '../Descriptors/ParameterDescriptor';
import ReflectionClass from './ReflectionClass';
import ReflectionType from './ReflectionType';
declare class ReflectionParameter {
    private _target;
    private _descriptor;
    constructor(target: any, descriptor: ParameterDescriptor);
    getDeclaringClass(): ReflectionClass | undefined;
    getClass(): ReflectionClass | undefined;
    getName(): string;
    getType(): ReflectionType;
    getPosition(): number;
    isDefaultValueAvailable(): boolean;
    getDefaultValue(): unknown;
}
export default ReflectionParameter;
