export declare const accessible: (value: any) => boolean;
export declare const set: (obj: object, key: string | null, value: unknown) => unknown;
export declare const add: (obj: object, key: string, value: any) => object;
export declare const collapse: (items: object | unknown[]) => object | unknown[];
export declare const crossJoin: (...arrays: any[]) => unknown[][];
export declare const divide: (array: object | unknown[]) => unknown[];
export declare const dot: (obj: object, prepend?: string) => object;
export declare const exists: (array: object | unknown[], key: string | number) => boolean;
export declare const wrap: (value: unknown) => any[];
export declare const forget: (obj: object, keys?: string | string[] | undefined) => void;
export declare const except: (obj: object, keys: string | string[]) => object;
export declare const first: (items: object | unknown[], callback?: Function | null | undefined, dflt?: unknown) => unknown;
export declare const last: (items: object | unknown[], callback?: Function | null | undefined, dflt?: unknown) => any;
export declare const flatten: (array: object | unknown[], depth?: number) => unknown[];
export declare const get: (obj: object, key?: string | undefined, dflt?: unknown) => unknown;
export declare const empty: (array: object | unknown[]) => boolean;
export declare const has: (obj?: object | undefined, keys?: string | string[] | undefined) => boolean;
export declare const only: (obj: object, keys: string | unknown[]) => object;
export declare const pluck: (array: unknown[], value: string | string[] | null, key?: string | string[] | undefined) => object | unknown[];
export declare const prepend: (array: object | unknown[], value: unknown, key?: string | undefined) => object | unknown[];
export declare const pull: (items: object | unknown[], key: string | number, dflt?: unknown) => unknown;
export declare const random: (array: unknown[], number?: number | undefined) => any;
export declare const shuffle: (items: object | unknown[], seed?: string | undefined) => object | unknown[];
export declare const sortRecursive: (array: object | unknown[]) => object | unknown[];
export declare const query: (obj: object) => string;
export declare const where: (array: object | unknown[], callback: any) => object | unknown[];
