import { DriverCreators } from '../types/support';
declare abstract class Manager {
    protected _dependency?: unknown;
    protected _customCreators: Map<string, Function>;
    protected _drivers: Map<string, any>;
    abstract getDefaultDriver(): string;
    constructor(dependency?: unknown);
    driver(driver?: string): any;
    extend(driver: string, callback: Function): this;
    getDrivers(): Map<string, any>;
    protected abstract _createDriver<T>(driver: string): T;
    protected abstract _getDriverCreators(): DriverCreators;
    protected _handleDriverCreation<T>(driver: string, creators: DriverCreators): T;
    private _callCustomCreator;
}
export default Manager;
