import { Instantiable, Instance } from '../types/container';
export declare const isUndefined: (value: unknown) => value is undefined;
export declare const isNull: (value: unknown) => value is null;
export declare const isNullOrUndefined: (value: unknown) => value is null | undefined;
export declare const isObject: (value: any) => value is object;
export declare const isString: (value: any) => value is string;
export declare const isSymbol: (target: any) => target is symbol;
export declare const isMap: (value: any) => value is Map<unknown, unknown>;
export declare const isFunction: (target: any) => target is Function;
export declare const isInstantiable: <T>(target: any) => target is Instantiable<T>;
export declare const isInstance: <T>(target: any) => target is Instance<T>;
export declare const equals: (a: any, b: any) => boolean;
export declare const findIndex: (item: unknown, array: any[], strict?: boolean) => number;
export declare const findKey: (item: unknown, obj: object, strict?: boolean) => string | undefined;
export declare const inArray: (item: any, array: any[], strict?: boolean) => boolean;
export declare const inObject: (item: any, obj: object, strict?: boolean) => boolean;
export declare const getSymbolName: (target: symbol) => string;
export declare const getName: (target: any) => string | undefined;
export declare const reverse: (str: string) => string;
export declare const value: (value: unknown) => unknown;
export declare const dataGet: (target: any, key?: string | string[] | null | undefined, dflt?: unknown) => any;
