import { Identifier, Instantiable } from '../../types/container';
interface Binder {
    bound<T>(abstract: Identifier<T>): boolean;
    bindIf<U, V>(abstract: Identifier<U>, concrete?: Instantiable<V> | Function, shared?: boolean): void;
    bind<U, V>(abstract: Identifier<U>, concrete?: Instantiable<V> | Function, shared?: boolean): void;
}
export default Binder;
