import ParameterDescriptor from '../Descriptors/ParameterDescriptor';
import ReflectionFunction from '../Contracts/Reflection/ReflectionFunction';
import ReflectionParameter from './ReflectionParameter';
declare abstract class AbstractReflectionFunction implements ReflectionFunction {
    protected _target: any;
    protected _name?: string;
    constructor(target: any, name?: string);
    getName(): string | undefined;
    getParameters(types?: ParameterDescriptor[]): ReflectionParameter[];
}
export default AbstractReflectionFunction;
